
Ryzom - Bug # 1249

Status: Assigned Priority: Low
Author: kervala Category: NeL: General
Created: 02/01/2011 Assignee: kervala
Updated: 03/03/2012 Due date:
Subject: Endianness problems while access to disk or memory
Description

NeL is working fine on little-endian architectures, but almost all memory/disk access with fread, fwrite or serialization are broken on
big-endian machines such as PowerPC and ARM (in big-endian mode).

History
#1 - 02/01/2011 05:34 pm - kervala
- Status changed from New to Assigned
- Assignee set to kervala

#2 - 02/07/2011 09:40 pm - Jeru
- File bitmap.h added
- File bitmap.cpp added

After some tests, I made corrections in the bitmap.cpp et .h
At this time, I can't play, but the bitmap code permit the loading of DDS et TGA files. (No PNG or other file types are readed a the moment I'm
stopped)

#3 - 02/07/2011 10:19 pm - Jeru
- File bitmap.h.diff.h added

Here the diff file for the update of hg files !

I hope this will work :)

#4 - 02/08/2011 05:08 pm - kervala
- File deleted (bitmap.h.diff.h)

#5 - 02/08/2011 05:08 pm - kervala
- File deleted (bitmap.cpp)

#6 - 02/08/2011 05:08 pm - kervala
- File deleted (bitmap.h)

#7 - 02/08/2011 05:45 pm - Jeru
- File bitmap.cpp.patch.cpp added
- File bitmap.h.patch.h added
- File music_buffer_vorbis.cpp.patch.cpp added
After more tests and debug on big endian systems. The final patch for images (All formats are working).
There were a bug on loading startup ogg file due to big endian errors too. (I don't know yet if it works in game)

For now, I got problems on getting login screen and character selection screen. Don't know if there's a relation with big endian systems.

#8 - 02/09/2011 10:32 am - Jeru
- File Log_Ryzom_OpenGL.rtf added

Log for the OpenGL difficulties may be due to endianess issues.
Initialisation of the driver log :)

#9 - 06/02/2011 04:07 pm - Jeru
- File Image_1.png added
- File Image_2.png added

Hi. That was a long time i came here.

I don't know if those bugs comes from endinaness or graphical implementation errors on PPC
The first image is my logon screen, only the cursor is visible
The second image is the character selection screen, only the effects are well drawn.

I'm on a Powerbook G4, 1Mo of RAM, MacOS 10.5.8 and an ATI Mobility Radeon 9700 with 64Mo VRAM

#10 - 03/03/2012 11:00 am - kervala
- Priority changed from Normal to Low

Only reproducible on Mac OS X PPC, so priority is set to low :)

Files
bitmap.cpp.patch.cpp 200.2 kB 02/08/2011 Jeru
bitmap.h.patch.h 39 kB 02/08/2011 Jeru
music_buffer_vorbis.cpp.patch.cpp 13.1 kB 02/08/2011 Jeru
Log_Ryzom_OpenGL.rtf 10.6 kB 02/09/2011 Jeru
Image_1.png 16.8 kB 06/02/2011 Jeru
Image_2.png 38.3 kB 06/02/2011 Jeru
